Package org.jboss.modules

# Enum AssertionSetting

java.lang.Object
java.lang.Enum<AssertionSetting>
org.jboss.modules.AssertionSetting

All Implemented Interfaces:
  `Serializable`, `Comparable<AssertionSetting>`, `java.lang.constant.Constable`

public enum AssertionSetting extends Enum<AssertionSetting>
The assertion setting for a package or class.

Author:
  David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISABLED`
`ENABLED`
`INHERIT`

## Method Summary

Modifier and Type
Method
Description
`static AssertionSetting`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AssertionSetting[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENABLED

public static final AssertionSetting ENABLED

### DISABLED

public static final AssertionSetting DISABLED

### INHERIT

public static final AssertionSetting INHERIT

## Method Details

### values

public static AssertionSetting[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AssertionSetting valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null